Loading...
Searching...
No Matches
juce::ProgressBar::LookAndFeelMethods Struct Referenceabstract

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

The documentation for this struct was generated from the following file:

- juce_gui_basics/widgets/juce_ProgressBar.h

Inheritance diagram for juce::ProgressBar::LookAndFeelMethods:

## Public Member Functions

virtual | ~LookAndFeelMethods ()=default
virtual void | drawProgressBar (Graphics &, ProgressBar &, int width, int height, double progress, const String &textToShow)=0
| Draws a progress bar.
virtual bool | isProgressBarOpaque (ProgressBar &)=0
virtual Style | getDefaultProgressBarStyle (const ProgressBar &)=0
| Returns the default style a progress bar should use if one hasn't been set.

## Constructors and Destructors

## ~LookAndFeelMethods()

virtual juce::ProgressBar::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |

virtual default

## Member Functions

## drawProgressBar()

virtual void juce::ProgressBar::LookAndFeelMethods::drawProgressBar | ( | Graphics & | ,
|  | ProgressBar & | ,
|  | int | width,
|  | int | height,
|  | double | progress,
|  | const String & | textToShow )

pure virtual

Draws a progress bar.

If the progress value is less than 0 or greater than 1.0, this should draw a spinning bar that fills the whole space (i.e. to say that the app is still busy but the progress isn't known). It can use the current time as a basis for playing an animation.

To determine which style of progress-bar to draw call getResolvedStyle().

(Used by progress bars in AlertWindow).

See also
  getResolvedStyle

Implemented in juce::LookAndFeel_V1, juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::ProgressBar::ProgressBar().

## isProgressBarOpaque()

virtual bool juce::ProgressBar::LookAndFeelMethods::isProgressBarOpaque | ( | ProgressBar & |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::ProgressBar::ProgressBar().

## getDefaultProgressBarStyle()

virtual Style juce::ProgressBar::LookAndFeelMethods::getDefaultProgressBarStyle | ( | const ProgressBar & |  | ) |

pure virtual

Returns the default style a progress bar should use if one hasn't been set.

See also
  setStyle, getResolvedStyle

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::ProgressBar::ProgressBar().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited